Welcome

Welcome and thank you for using Drawing Compare.

Vertigraph develops and sells takeoff and estimating software for the construction industry. Our aim is to help you increase your profits and productivity. In addition to Drawing Compare, Vertigraph's other software includes:

  • BidScreen XL software enables you to digitize quantities from digital plans into any MS Excel workbook.
  • BidPoint XL software enables you to digitize quantities from paper plans into any MS Excel workbook using a digitizer tablet.
  • SiteWorx and SiteWorx/OS software provides you with cut and fill soil quantities for site excavation.

Vertigraph also supplies computer hardware used by construction companies such as scanners, plotters and digitizing tablets. Needs assessment and management consulting are also provided.


We Thank You

Vertigraph provides takeoff and estimating tools that increase your productivity and profits. Our guiding principles are:

  • Quality, integrity and value are our highest concerns.
  • Customers are the reason we exist.

We thank you for your consideration.


System Requirements

Minimum:

  • Windows XP(SP3 or later) operating system
  • 2GB of memory (3 GB with Vista or Windows 7)
  • 1024 X 768 Display resolution
  • 50MB available disk space

Better:

  • Windows Vista(SP2 or later) or Windows 7(SP1 or later) operating system
  • 4GB of memory
  • 1920 X 1080 Display resolution
  • Color Printer

Best:

  • Windows 7(SP1 or later) 64 bit operating system
  • 8GB of memory
  • 1920 X 1080 Display resolution
  • Color Printer


Other Vertigraph Solutions

Besides Drawing Compare, Vertigraph also supplies other takeoff and estimating tools. These include:

  • BidScreen XL software enables you to digitize quantities from digital plans into any MS Excel workbook.
  • BidPoint XL software enables you to digitize quantities from paper plans into any MS Excel workbook using a digitizer tablet.
  • SiteWorx and SiteWorx/OS software provides you with cut and fill soil quantities for site excavation.
  • Scanners, plotters and digitizing tablets from all of the leading manufacturers at guaranteed best pricing.
  • Needs assessment and management consulting.

If you have interest in any other Vertigraph solutions, please contact Vertigraph or a representative at any time.


Contact Vertigraph

Vertigraph, Inc can be contacted by phone at 800.989.4243 or 214.340.9436 or via email at support@vertigraph.com. You can visit the Vertigraph website to contact us or create a support ticket.


Overview

Vertigraph's Drawing Compare is a program to compare raster type drawings. It does not work with vector (CAD) drawings.

First, load the two drawings to be compared. The first is called the original drawing. The second is called the revised drawing. When the drawings are displayed side by side , the original drawing is on the left and the revised drawing is on the right.

Second, align the drawings . Pick two features common to both drawings, as far apart diagonally as possible. Zoom in on the features and set the alignment points. The align to corner feature may possibly be used.

Optionally define an include region or exclude region to limit the extents of the comparison.

Next press the compare button. The drawings will be compared and the differences (changes) will be displayed on either the original or revised drawing.

Save the change information for use in other programs.

Finally save the project for future reference.

See the following topics for more information:

  • Comparison Filter
  • Main Tab (Ribbon)
  • Main Window
  • Options Tab (Ribbon)
  • Zooming and Panning


Main Window

The main window contains:

  • File menu button
  • Tabbed Ribbon
  • Drawing display
  • Status bar


Shortcut Keys (Hotkeys)

Many of the operations in Drawing Compare have keybord shortcuts assigned. Most of the shortcus can be redefined using the Shortcut Editor . The editor is invoked by pressing Ctrl Alt H.

This is a list of the predefined Shortcuts. Items marked with an asterisk (*) can not be modified.

Compare Toolbar

  • Compare (F5)
  • Save (F6)
  • Reset (F8)

File Menu

  • Exit (Alt F4) *
  • Open Project (F11) *
  • Save Project (Ctrl S) *

Options Tab

  • Show Regions (F9)

Original Toolbar

  • Open Drawing (Ctrl+O)
  • Align (Ctrl+A)
  • Align to Corners (Ctrl+C)
  • Define Include Region (Ctrl+I)
  • Define Exclude Region (Ctrl+E)
  • Fit to Window (Ctrl+F)
  • Zoom Match Revised (Ctrl+M)
  • Zoom to Selection (Ctrl+Z)

Revised Toolbar

  • Open Drawing (Ctrl+Shft+O)
  • Align (Ctrl+Shft+A)
  • Align to Corners (Ctrl+C)
  • Fit to Window (Ctrl+Shft+F)
  • Zoom Match Revised (Ctrl+Shft+M)
  • Zoom to Selection (Ctrl+Shft+Z)

Other

  • Close program (Alt+F4) *
  • Help (F1) *
  • File Menu (Alt+F) *
  • Main Ribbon (Alt+M) *
  • Minimize Ribbon (Ctrl+F1) *
  • Options Ribbon (Alt+O*) *
  • Open Project file (F11)
  • Save project file (Ctrl+S) *
  • Shortcut Editor (Ctrl+Alt+H) *


Open Drawing Window

Click on the image above for explanations of the features of the Open Drawing window.


Drawing Alignment

This simplest and quickest method to align drawings is to use the Align to Corners button on either the Original or Revised toolbar.

Unfortunately, in many cases, this will not result in a good comparison.

It is then necessary to align the drawings by setting alignment points on common features of the two drawings. The features selected should as far apart diagonally as possible.

Having selected the features, press the Align button on the Original toolbar

and zoom the drawing to the first feature.

A small magnifier window will appear in the upper left corner of the drawing. Move the cursor to in identifiable feature of the point. Corners work well. It may be necessary to zoom in further to control the cursor movement. Click the left mouse button to select the point. A dialog will appear asking for confirmation of the point selected.

The magnifier window displays the actual point selected. If the desired point has been selected, press Yes. Otherwise press No and try again.

Next press the Zoom Match button on the Revised toolbar,

then press the Align button on the Revised toolbar.

Now the first alignment point can be selected on the revised drawing.

Zoom in on the second selected feature on the orignal drawing,

and select the second alignment point on the original drawing.

Again, press the Zoom Match button on the Revised Toolbar,

and select the second alignment point on the revised drawing.


Comparison Filter

Drawings are composed of pixels, or dots. Drawing Compare does not compare individual pixels, it compares pixels in a small area around a central pixel. Changes toward the center of the area are weighted more than changes at the periphery of the area.

This area passes over the entire drawing to determine the changes. At each step, it determines whether the pixel at the center of the area has changed.

The filter has two parameters. The first, called Color, determines the threshold color difference for calling two pixels different.

The second, called Diff(erence), determines the threshold of the weighted change of the area used to decide if the central pixel is changed.


Zooming and Panning

  • Shift - Left Mouse Click zooms in on the drawing.
  • Shift - Right Mouse Click zooms out on the drawing.
  • Mouse Wheel Up zooms in on the drawing.
  • Mouse Wheel Down zooms out on the drawing.
  • Ctrl - Right Mouse drag pans the drawing.
  • Use the Zoom to Selection and Fit to Window buttons.

The drawing can also be panned using the scroll bars, if enabled .


File Menu Button

Pressing the File Menu button opens the file menu.

The File Menu contains the following:

  • Open...
  • New
  • Save
  • Save As...
  • Recent
  • Recent Jobs List
  • About...
  • Exit


Open...

Click on the Open command to load a previously saved project file.

Previously saved project files can also be opened by dropping them on Drawing Compare. The current project will be closed and the dropped project opened.


New

Select the New command to start a new project. The project file will not be saved until Save As is selected.


Save

Select Save to save the current project. If the project has not previously been saved, the Save As dialog box opens so that a new file name for the project can be entered.


Save As...

Select Save As to save the current project with a new name or in a new location.


Recent

Highlighting this button displays a list of recently opened projects in the panel to the right. Click on one of the projects to open it.


About...

Pressing this button displays a dialog with information about the Drawing Compare application.


Exit

Pressing this button closes the Drawing Compare program.


Recent Projects List

Click on one of the projects in the list to open it.


Tabbed Ribbon

The Tabbed Ribbon contains the controls and settings required to perform a comparison. It has two tabs:

  • Main
  • Options

The ribbon may be minimized

by pressing Ctrl+F1 or right clicking on the ribbon to get the popup menu.

When the ribbon is minimized, clicking on one of the tabs will display the toolbars. It can be expanded by pressing Ctrl+F1 or using the popup menu.

At times, one or more of the toolbars may collapse. This happens when the window is too small to display all the toolbar. A collapsed toolbar looks like this.

Click on the small arrow at the bottom of the toolbar and it will expand the show the tools in the toolbar.


Drawing Display

The original and revised drawings are displayed in this section of the Drawing Compare window. They can be displayed side by side or on separate tabs .


Status Bar

The status bar, at the bottom of the Drawing Compare window, display status and instructions in the left half, and the project file name in the right half.


Main Tab

The main tab contains the following toolbars:

  • Original
  • Filter
  • Compare
  • Revised
  • Help and Exit


Original Toolbar

This group contains command that affect the original drawing. They are, from left to right, top to bottom:

  • Open Drawing
  • Zoom to Selection
  • Fit to Window
  • Create included region
  • Create excluded region
  • Align drawing
  • Align to corners
  • Zoom to revised drawing
  • Delete include region
  • Delete exclude region


Open Drawing

Use this command to open a drawing file. It will display the Open Drawing Dialog .


Zoom to Selection

Zoom to selection takes a selected area of the drawing and fits it to the display area.

First select the tool.

Then, using the left mouse button, drag a selection box over the area to enlarge.

Then release the mouse button.


Create Include Region

An include region defines the section of the drawings to compare. It can speed up the comparison by eliminating unwanted portions of the drawing.

  • First select the tool.
  • Then, click on one corner of the region.
  • Finally, click on the diagonally opposite corner of the region.

The include region is displayed as a green, dot filled, rectangle.


Create Exclude Region

An exclude region defines the section of the drawings to ignore. It can speed up the comparison by eliminating unwanted portions of the drawing.

  • First select the tool.
  • Then, click on one corner of the region.
  • Finally, click on the diagonally opposite corner of the region.

The exclude region is displayed as a red, dot filled, rectangle.


Align Drawing

The drawings have to be aligned so they overlay correctly. Click on the Align Drawing button and use the mouse to digitize two points on the drawing that are common to both the drawings in the project. The points should be diagonally as far apart as possible. Zoom in to set the points as accurately as possible.


Align to Corners

This command creates alignment points at the upper left and lower right corners of the drawings. If the drawings do not compare properly, use the align command to align the drawings using common points.


Zoom to Revised Drawing

This command will zoom and pan the original drawing so it matches the revised drawing.


Delete Include Region

This command deletes the include region .


Delete Exclude Region

This command deletes the exclude region .


Filter Toolbar

This group contains the two sliders that control the filter parameters, Color and Diff. See Comparison Filter for a discussion of how the filter works.


Compare Toolbar

The compare group contains three buttons:

  • Compare - Compares the two drawings
  • Save... - Saves the drawing containing the changes. Prompts for a new file name and location.
  • Reset - Removes the change information


Revised Toolbar

This group contains command that affect the original drawing. They are, from left to right, top to bottom:

  • Open Drawing
  • Zoom to Selection
  • Fit to Window
  • Rotate 90 degrees counter clockwise
  • Rotate 90 degrees clockwise
  • Align drawing
  • Align to corners
  • Zoom to original drawing
  • Rotate 180 degrees
  • Select Aligment Point 1
  • Select Aligment Point 2
  • Move Selected Aligment Point


Fit to Window

This command sizes the drawing display so that the entire drawing is visible in the display area.


Zoom to Original Drawing

This command will zoom and pan the revised drawing so it matches the original drawing.


Rotate Counterclockwise

This button will rotate the revised drawing 90 degrees counterclockwise.


Rotate Clockwise

This button will rotate the revised drawing 90 degrees clockwise.


Rotate 180

This button will rotate the revised drawing 180 degrees.


Align Point 1

This button selects and zooms to the first alignment point on the revised drawing.

It enables the move alignment point buttons.


Align Point 2

This button selects and zooms to the second alignment point on the revised drawing.

It enables the move alignment point buttons.


Move Align Point

These buttons move the selected alignment point up/down/left/right one pixel.


Help and Exit

This group has two buttons:

  • Help - displays this help file.
  • Exit(Close) - closes the Drawing Compare program.


Shortcut (Hotkey) Editor

Select an entry in the shortcut column and double click or press the change button. This will display the Shortcut Change dialog.

Press the desired key combination and the shortcut will change. Press OK to accept the changed shortcut, or Cancel to discard the change.

There are several reserved shortcuts that can not be used:

  • F1 - Help
  • F11 - Open Project file
  • Alt+F - File Menu
  • Alt+M - Main Ribbon
  • Alt+O - Options Ribbon
  • Alt+F4 - Close program
  • Ctrl+F1 - Minimize/Expand the ribbon.
  • Ctrl+S - Save project file
  • Ctrl+Alt+H - Invokes the shortcut (hotkey) editor


Options Tab

The Options tab allows setting program options. The options are organized in four groups.

Drawing Load

  • Use Acrobat
  • Allow Resizing

View

  • Show Alignment
  • Show Regions
  • Show Scroll bars

Display

  • Display Drawings Side by Side
  • Display Drawings Tabbed

Changes

  • Show Changes on Original
  • Show Changes on Revised
  • Addition Color...
  • Deletion Color...


Use Acrobat

If checked, use Adobe Acrobat to read pdf drawings. Requires Acrobat V7 or later.


Allow Resizing

If checked, tiff drawings will be re sized when opened. This setting is for compatibility with BidScreen XL.


Show Alignment

If selected, the alignment points will be shown on the drawing. If not selected, the alignment points will be hidden. Hide the alignment points when they cover features of interest.


Show Regions

If selected, include and exclude regions will be shown on the drawing. If not selected, the regions will be hidden. Hide the regions when they obscure features of interest.


Show Scroll bars

If selected, scroll bars will be visible on the drawings. See Zooming and Panning .


Display Drawings Side by Side

If selected, both drawings will be shown in the drawing area. The original drawing is always on the left and the revised drawing is on the right.

See also Display Drawings Tabbed .


Display Drawings Tabbed

If selected, a single drawing will be shown in the drawing area.

Use the tabs

at the top of the drawing area to select the drawing.

See also Display Drawings Tabbed .


Show Changes on Original

If selected, change information will be shown on the original drawing.


Show Changes on Revised

If selected, change information will be shown on the revised drawing.


Addition Color...

Use this button to select the color to use to display additions to the original drawing.


Deletion Color...

Use this button to select the color to use to display deletions from the original drawing.


Selected Folder

This field displays the currently selected folder. The contents of the folder are displayed in the File List .


Folder Shorcuts

Folder Shortcuts

The panel to the left displays shortcut buttons to navigate to predefined folders. The available buttons are:

  • My Documents
  • Desktop
  • My Computer
  • Drawings
  • Temp

The Drawings button, as installed, points to the folder containing the sample Drawing Compare drawings. To change this value, navigate to the desired folder, select a file in the folder, then click on the button while depressing the Alt key. A confirmation dialog will be shown. Press OK to change the folder, press No to leave the folder unchanged.


File List

The file list displays a the files of the selected type in the current folder. The list can show only the file name, or details on the file.


Drawing Preview

This area displays a preview of the selected drawing, if Show Preview is on.


Page Number Selection

This field allow selection of a single page from a multi-page drawing file. The page selected is shown in the preview window . If the selected drawing has only one page, this field is not available.


File Name

This box displays the currently selected drawing. This drawing is shown in the preview .


File Type Selection

This combo box allows selection of the type of file displayed in the file list . Available file types are:

  • CALS (*.cal)
  • Computer Graphics Metafile (*.cgm)
  • LEAD CMP (*.cmp)
  • JPEG (*.jpeg *.jpg)
  • Portable Document (*.pdf)
  • Protable Network Graphics (*.png)
  • PostScript (*.eps *.ps)
  • Tagged Image File (*.tif *.tiff)
  • Windows Bitmap (*.bmp)
  • Windows Metafile (*.wmf)


Open Drawing

Pressing this button closes the Open Drawing window and the selected drawing will be displayed in the Main Window.


Cancel Open

Pressing this button closes the Open Drawing window and returns to the Main Window. The currently selected drawing, if any, will not be shown in the Main Window.


Back One Folder

This button moves the selected folder back one folder in the list of recently visited folders . When the beginning of the list is reached, the button is disabled.


Forward One Folder

This button moves selected forward one folder in the list of recently visited folders . When the end of the list is reached, the button is disabled.


Show Folder List

Press the drop down button to open a list of folders. The list can then be used to navigate to the desired folder.


List or Detail

If list, the left button, is depressed, only the file names will be shown in the file list. If details, the right button is depressed, additional information on the files will be displayed in the list.


Show Preview

If this button is depressed, a preview of the selected file and page will be shown to the right of the file list. If the button is not depressed, the preview will not be shown.


Up One Folder

Pressing this button changes the selected folder to the parent of the current folder.